Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::AssemblyFactory_Impl Class Reference

Servant implementation for Components::Deployment::AssemblyFactory. More...

`#include <Assembly_Impl.h>`

Collaboration diagram for CIAO::AssemblyFactory_Impl:

[legend]
List of all members.

## Public Methods
| AssemblyFactory_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p)
| Constructor.
virtual | ~AssemblyFactory_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
int | init (const char *config_file ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual::Components::Cookie * | create_assembly (const char *assembly_loc ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::CreateFailure)
| Components::Deployment::Assembly defined attributes/operations.
virtual::Components::Deployment::Assembly_ptr | lookup (Components::Cookie *c ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::InvalidAssembly)
virtual void | destroy (Components::Cookie *c ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::InvalidAssembly, Components::RemoveFailure)
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
ACE_Active_Map_Manager< Components::Deployment::Assembly_var > | assembly_map_
| Keep a list of managed Assembly objects.
CIAO::Deployment_Configuration | deployment_config_
| Deployment Configuration Info.

## Detailed Description

Servant implementation for Components::Deployment::AssemblyFactory.

This class implements the Components::Deployment::AssemblyFactory interface as defined by the CCM spcification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of containers running on the server.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::AssemblyFactory_Impl::AssemblyFactory_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p
| ) |

| Constructor.

CIAO::AssemblyFactory_Impl::~AssemblyFactory_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::AssemblyFactory_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

Components::Cookie * CIAO::AssemblyFactory_Impl::create_assembly | ( | const char *assembly_loc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::CreateFailure)`[virtual]`

| Components::Deployment::Assembly defined attributes/operations.

void CIAO::AssemblyFactory_Impl::destroy | ( | Components::Cookie *c | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::Deployment::InvalidAssembly, Components::RemoveFailure)`[virtual]`

int CIAO::AssemblyFactory_Impl::init | ( | const char *config_file | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

| Initialize the AssemblyFactory with a configuration file. See also: CIAO::Deployment_Configuration

Components::Deployment::Assembly_ptr CIAO::AssemblyFactory_Impl::lookup | ( | Components::Cookie *c | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::Deployment::InvalidAssembly)

## Member Data Documentation

ACE_Active_Map_Manager<Components::Deployment::Assembly_var> CIAO::AssemblyFactory_Impl::assembly_map_`[protected]`

| Keep a list of managed Assembly objects.

CIAO::Deployment_Configuration CIAO::AssemblyFactory_Impl::deployment_config_`[protected]`

| Deployment Configuration Info.

CORBA::ORB_var CIAO::AssemblyFactory_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::AssemblyFactory_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

The documentation for this class was generated from the following files:

- Assembly_Impl.h
- Assembly_Impl.cpp
- Assembly_Impl.inl